Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework.service
Class BasicService

    java.lang.Object
      javacard.framework.service.BasicService

All Implemented Interfaces:
  Service

Direct Known Subclasses:
  RMIService

    public class BasicService

extends Object
implements Service

Constructor Summary
`BasicService()`

Method Summary
`boolean` | `fail(APDU apdu, short sw)`
`byte` | `getCLA(APDU apdu)`
`byte` | `getINS(APDU apdu)`
`short` | `getOutputLength(APDU apdu)`
`byte` | `getP1(APDU apdu)`
`byte` | `getP2(APDU apdu)`
`short` | `getStatusWord(APDU apdu)`
`boolean` | `isProcessed(APDU apdu)`
`boolean` | `processCommand(APDU apdu)`
`boolean` | `processDataIn(APDU apdu)`
`boolean` | `processDataOut(APDU apdu)`
`short` | `receiveInData(APDU apdu)`
`boolean` | `selectingApplet()`
`void` | `setOutputLength(APDU apdu, short length)`
`void` | `setProcessed(APDU apdu)`
`void` | `setStatusWord(APDU apdu, short sw)`
`boolean` | `succeed(APDU apdu)`
`boolean` | `succeedWithStatusWord(APDU apdu, short sw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicService

    public BasicService()

Method Detail

### processDataIn

    public boolean processDataIn(APDU apdu)

  Specified by:
    `processDataIn` in interface `Service`

### processCommand

    public boolean processCommand(APDU apdu)

  Specified by:
    `processCommand` in interface `Service`

### processDataOut

    public boolean processDataOut(APDU apdu)

  Specified by:
    `processDataOut` in interface `Service`

### receiveInData

    public short receiveInData(APDU apdu)
                        throws ServiceException

  Throws:
    `ServiceException`

### setProcessed

    public void setProcessed(APDU apdu)
                      throws ServiceException

  Throws:
    `ServiceException`

### isProcessed

    public boolean isProcessed(APDU apdu)

### setOutputLength

    public void setOutputLength(APDU apdu,
                                short length)
                         throws ServiceException

  Throws:
    `ServiceException`

### getOutputLength

    public short getOutputLength(APDU apdu)
                          throws ServiceException

  Throws:
    `ServiceException`

### setStatusWord

    public void setStatusWord(APDU apdu,
                              short sw)

### getStatusWord

    public short getStatusWord(APDU apdu)
                        throws ServiceException

  Throws:
    `ServiceException`

### fail

    public boolean fail(APDU apdu,
                        short sw)
                 throws ServiceException

  Throws:
    `ServiceException`

### succeed

    public boolean succeed(APDU apdu)
                    throws ServiceException

  Throws:
    `ServiceException`

### succeedWithStatusWord

    public boolean succeedWithStatusWord(APDU apdu,
                                         short sw)
                                  throws ServiceException

  Throws:
    `ServiceException`

### getCLA

    public byte getCLA(APDU apdu)

### getINS

    public byte getINS(APDU apdu)

### getP1

    public byte getP1(APDU apdu)
               throws ServiceException

  Throws:
    `ServiceException`

### getP2

    public byte getP2(APDU apdu)
               throws ServiceException

  Throws:
    `ServiceException`

### selectingApplet

    public boolean selectingApplet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD